Name:           konkretcmpi
Version:        0.8.7
Release:        8%{?dist}
Summary:        Tool for rapid CMPI providers development

License:        MIT
URL:            http://konkretcmpi.org/
Source0:        http://konkretcmpi.org/konkretcmpi-0.8.7.tar.gz

# Include unistd.h to prevent usage of undefined functions
Patch0:         konkretcmpi-0.8.7-unistd.patch
# Prevent assertion in generated code
Patch1:         konkretcmpi-0.8.7-fix-assert.patch
# Create library as shared instead of static
Patch2:         konkretcmpi-0.8.7-shared-lib.patch
# Disable check in MOF that fails with current (experimental) cim-schema
Patch3:         konkretcmpi-0.8.7-fix-for-current-schema.patch
# Schema sometimes has same Value for more keys in ValueMap
Patch4:         konkretcmpi-0.8.7-fix-same-enum-values.patch
# Optimization can eat KONKRET_REGISTRATION from the library sometimes,
# use volatile to avoid it
Patch5:         konkretcmpi-0.8.7-fix-registration-from-optimized.patch
# Fix KArray count property
Patch6:         konkretcmpi-0.8.7-fix-array-count-property.patch

BuildRequires:  sblim-cmpi-devel


%description
KonkretCMPI makes CMPI provider development easier by generating type-safe 
concrete CIM interfaces from MOF definitions and by providing default 
implementations for many of the provider operations.

%package devel
Summary:        Development files for konkretcmpi package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides required files for development using konkretcmpi.

%prep
%setup -q
%patch0 -p1 -b .unistd
%patch1 -p1 -b .fix-assert
%patch2 -p1 -b .shared-lib
%patch3 -p1 -b .fix-for-current-schema
%patch4 -p1 -b .fix-same-enum-values
%patch5 -p1 -b .fix-registration-from-optimized
%patch6 -p1

%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Don't package .la object
rm -rf $RPM_BUILD_ROOT/usr/lib*/libkonkret.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_bindir}/konkret
%{_bindir}/konkretreg
%{_libdir}/libkonkret.so.0
%{_libdir}/libkonkret.so.0.0.0

%files devel
%{_includedir}/konkret/konkret.h
%{_libdir}/libkonkret.so


%changelog
* Wed Feb 06 2013 Radek Novacek <rnovacek@redhat.com> 0.8.7-8
- Fix KArray count property

* Wed Oct 31 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-7
- Do not optimize out registration strings

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-6
- Handle ValueMap with same Values in MOF

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-5
- Disable check in MOF that fails with current (experimental) cim-schema

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-3
- Fix usage of shared library

* Mon Jul 02 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-2
- Use shared library instead of static

* Tue Mar 27 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-1
- Initial package
